org.icefaces.ace.component.fileentry

## Class FileEntryTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.icefaces.ace.component.fileentry.FileEntryTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class FileEntryTag
      extends javax.faces.webapp.UIComponentELTag

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntryTag()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doEndTag()`
    `int` | `doStartTag()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()` Release any allocated tag handler attributes.
    `void` | `setAbsolutePath(javax.el.ValueExpression absolutePath)`
    `void` | `setAccesskey(javax.el.ValueExpression accesskey)`
    `void` | `setAutoUpload(javax.el.ValueExpression autoUpload)`
    `void` | `setBinding(javax.el.ValueExpression binding)`
    `void` | `setCallback(javax.el.ValueExpression callback)`
    `void` | `setDisabled(javax.el.ValueExpression disabled)`
    `void` | `setFileEntryListener(javax.el.MethodExpression fileEntryListener)`
    `void` | `setId(javax.el.ValueExpression id)`
    `void` | `setImmediate(javax.el.ValueExpression immediate)`
    `void` | `setImmediateValidation(javax.el.ValueExpression immediateValidation)`
    `void` | `setLabel(javax.el.ValueExpression label)`
    `void` | `setMaxFileCount(javax.el.ValueExpression maxFileCount)`
    `void` | `setMaxFileCountMessage(javax.el.ValueExpression maxFileCountMessage)`
    `void` | `setMaxFileSize(javax.el.ValueExpression maxFileSize)`
    `void` | `setMaxFileSizeMessage(javax.el.ValueExpression maxFileSizeMessage)`
    `void` | `setMaxTotalSize(javax.el.ValueExpression maxTotalSize)`
    `void` | `setMaxTotalSizeMessage(javax.el.ValueExpression maxTotalSizeMessage)`
    `void` | `setMessagePersistence(javax.el.ValueExpression messagePersistence)`
    `void` | `setMultiple(javax.el.ValueExpression multiple)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRelativePath(javax.el.ValueExpression relativePath)`
    `void` | `setRendered(javax.el.ValueExpression rendered)`
    `void` | `setRequired(javax.el.ValueExpression required)`
    `void` | `setRequiredMessage(javax.el.ValueExpression requiredMessage)`
    `void` | `setResults(javax.el.ValueExpression results)`
    `void` | `setSize(javax.el.ValueExpression size)`
    `void` | `setStyle(javax.el.ValueExpression style)`
    `void` | `setStyleClass(javax.el.ValueExpression styleClass)`
    `void` | `setTabindex(javax.el.ValueExpression tabindex)`
    `void` | `setUseOriginalFilename(javax.el.ValueExpression useOriginalFilename)`
    `void` | `setUseSessionSubdir(javax.el.ValueExpression useSessionSubdir)`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### FileEntryTag

          public FileEntryTag()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### setAbsolutePath

          public void setAbsolutePath(javax.el.ValueExpression absolutePath)

    - #### setAccesskey

          public void setAccesskey(javax.el.ValueExpression accesskey)

    - #### setAutoUpload

          public void setAutoUpload(javax.el.ValueExpression autoUpload)

    - #### setBinding

          public void setBinding(javax.el.ValueExpression binding)

      Overrides:
        `setBinding` in class `javax.faces.webapp.UIComponentELTag`

    - #### setCallback

          public void setCallback(javax.el.ValueExpression callback)

    - #### setDisabled

          public void setDisabled(javax.el.ValueExpression disabled)

    - #### setFileEntryListener

          public void setFileEntryListener(javax.el.MethodExpression fileEntryListener)

    - #### setId

          public void setId(javax.el.ValueExpression id)

    - #### setImmediate

          public void setImmediate(javax.el.ValueExpression immediate)

    - #### setImmediateValidation

          public void setImmediateValidation(javax.el.ValueExpression immediateValidation)

    - #### setLabel

          public void setLabel(javax.el.ValueExpression label)

    - #### setMaxFileCount

          public void setMaxFileCount(javax.el.ValueExpression maxFileCount)

    - #### setMaxFileCountMessage

          public void setMaxFileCountMessage(javax.el.ValueExpression maxFileCountMessage)

    - #### setMaxFileSize

          public void setMaxFileSize(javax.el.ValueExpression maxFileSize)

    - #### setMaxFileSizeMessage

          public void setMaxFileSizeMessage(javax.el.ValueExpression maxFileSizeMessage)

    - #### setMaxTotalSize

          public void setMaxTotalSize(javax.el.ValueExpression maxTotalSize)

    - #### setMaxTotalSizeMessage

          public void setMaxTotalSizeMessage(javax.el.ValueExpression maxTotalSizeMessage)

    - #### setMessagePersistence

          public void setMessagePersistence(javax.el.ValueExpression messagePersistence)

    - #### setMultiple

          public void setMultiple(javax.el.ValueExpression multiple)

    - #### setRelativePath

          public void setRelativePath(javax.el.ValueExpression relativePath)

    - #### setRendered

          public void setRendered(javax.el.ValueExpression rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentELTag`

    - #### setRequired

          public void setRequired(javax.el.ValueExpression required)

    - #### setRequiredMessage

          public void setRequiredMessage(javax.el.ValueExpression requiredMessage)

    - #### setResults

          public void setResults(javax.el.ValueExpression results)

    - #### setSize

          public void setSize(javax.el.ValueExpression size)

    - #### setStyle

          public void setStyle(javax.el.ValueExpression style)

    - #### setStyleClass

          public void setStyleClass(javax.el.ValueExpression styleClass)

    - #### setTabindex

          public void setTabindex(javax.el.ValueExpression tabindex)

    - #### setUseOriginalFilename

          public void setUseOriginalFilename(javax.el.ValueExpression useOriginalFilename)

    - #### setUseSessionSubdir

          public void setUseSessionSubdir(javax.el.ValueExpression useSessionSubdir)

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentELTag`

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### release

          public void release()

      Release any allocated tag handler attributes.

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `javax.faces.webapp.UIComponentELTag`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.